<template>
  <div id="banner-1">
    <van-row>
      <van-col span="24" class="main">
        <van-col span="24" class="one">
          <van-swipe :autoplay="3000">
            <van-swipe-item class="images" v-for="(item, index) in images" :key="index">
              <img :src="item.url" />
            </van-swipe-item>
          </van-swipe>
        </van-col>
      </van-col>
    </van-row>
  </div>
</template>

<script>
import { mapState, createNamespacedHelpers } from 'vuex';
export default {
  name: 'banner-1',
  props: {},
  components: {},
  data: function () {
    return {
      // 广告位
      images: [{ url: require('@a/userbj.jpg') }, { url: require('@a/userbj.jpg') }],
    };
  },
  created() {},
  methods: {},
  computed: {
    ...mapState(['user']),
  },
  metaInfo() {
    return { title: this.$route.meta.title };
  },
  watch: {
    test: {
      deep: true,
      immediate: true,
      handler(val) {},
    },
  },
};
</script>

<style lang="less" scoped>
.main {
  .one {
    .images {
      height: 100px;
      overflow: hidden;
      img {
        width: 100%;
        height: 100px;
        overflow: hidden;
      }
    }
  }
}
</style>
